> ## Documentation Index
> Fetch the complete documentation index at: https://www.anything.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a domain

> Adds a custom domain to an organization, optionally linked to a project group.



## OpenAPI

````yaml https://api.anything.com/v0/api/openapi.json post /v0/api/domains
openapi: 3.1.0
info:
  title: Anything API
  version: 0.1.0
  description: >-
    The Anything API is the fastest way for agents to build and launch mobile
    and web apps.
servers:
  - url: /
security: []
paths:
  /v0/api/domains:
    post:
      tags:
        - Domains
      summary: Add a domain
      description: >-
        Adds a custom domain to an organization, optionally linked to a project
        group.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                organizationId:
                  type: string
                  format: uuid
                domain:
                  type: string
                  minLength: 1
                projectGroupId:
                  type:
                    - string
                    - 'null'
                  format: uuid
              required:
                - organizationId
                - domain
      responses:
        '201':
          description: Domain created
          content:
            application/json:
              schema:
                type: object
                properties:
                  domain:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      domain:
                        type: string
                      vercelVerified:
                        type: boolean
                      vercelVerification: {}
                      projectGroup:
                        type:
                          - object
                          - 'null'
                        properties:
                          id:
                            type: string
                            format: uuid
                          name:
                            type: string
                        required:
                          - id
                          - name
                    required:
                      - id
                      - domain
                      - vercelVerified
                      - projectGroup
                required:
                  - domain
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
        '404':
          description: >-
            Not found — the referenced resource does not exist (including
            malformed resource IDs)
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details:
                    type: array
                    items: {}
                  message:
                    type: string
                required:
                  - error
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Anything API key as the Basic auth username and leave the
        password empty. Example credentials: anything_xxx:

````